Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMMouseEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent
              org.apache.batik.dom.events.DOMMouseEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, MouseEvent, UIEvent

    public class DOMMouseEvent

extends DOMUIEvent
implements MouseEvent

The MouseEvent class provides specific contextual information associated with Mouse events.

Field Summary
`protected HashSet` | `modifierKeys` The modifier keys in effect at the time of the event.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMMouseEvent()`

Method Summary
`boolean` | `getAltKey()` DOM: `altKey` indicates whether the 'alt' key was depressed during the firing of the event.
`short` | `getButton()` DOM: During mouse events caused by the depression or release of a mouse button, `button` is used to indicate which mouse button changed state.
`int` | `getClientX()` DOM: `clientX` indicates the horizontal coordinate at which the event occurred relative to the DOM implementation's client area.
`int` | `getClientY()` DOM: `clientY` indicates the vertical coordinate at which the event occurred relative to the DOM implementation's client area.
`boolean` | `getCtrlKey()` DOM: `ctrlKey` indicates whether the 'ctrl' key was depressed during the firing of the event.
`boolean` | `getMetaKey()` DOM: `metaKey` indicates whether the 'meta' key was depressed during the firing of the event.
`String` | `getModifiersString()` Returns the modifiers string for this event.
`boolean` | `getModifierState(String keyIdentifierArg)` DOM: Returns whether the given modifier key was pressed at the time of the event.
`EventTarget` | `getRelatedTarget()` DOM: Used to identify a secondary `EventTarget` related to a UI event.
`int` | `getScreenX()` DOM: `screenX` indicates the horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.
`int` | `getScreenY()` DOM: `screenY` indicates the vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.
`boolean` | `getShiftKey()` DOM: `shiftKey` indicates whether the 'shift' key was depressed during the firing of the event.
`void` | `initMouseEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, EventTarget relatedTargetArg)` DOM: The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface.
`void` | `initMouseEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, short buttonArg, EventTarget relatedTargetArg, String modifiersList)` DOM: Initializes this event object.

Methods inherited from class org.apache.batik.dom.events.DOMUIEvent
`getDetail, getView, initUIEvent, initUIEventNS, split`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent, initUIEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### modifierKeys

    protected HashSet modifierKeys

  The modifier keys in effect at the time of the event.

Constructor Detail

### DOMMouseEvent

    public DOMMouseEvent()

Method Detail

### getScreenX

    public int getScreenX()

  DOM: `screenX` indicates the horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.

  Specified by:
    `getScreenX` in interface `MouseEvent`

### getScreenY

    public int getScreenY()

  DOM: `screenY` indicates the vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.

  Specified by:
    `getScreenY` in interface `MouseEvent`

### getClientX

    public int getClientX()

  DOM: `clientX` indicates the horizontal coordinate at which the event occurred relative to the DOM implementation's client area.

  Specified by:
    `getClientX` in interface `MouseEvent`

### getClientY

    public int getClientY()

  DOM: `clientY` indicates the vertical coordinate at which the event occurred relative to the DOM implementation's client area.

  Specified by:
    `getClientY` in interface `MouseEvent`

### getCtrlKey

    public boolean getCtrlKey()

  DOM: `ctrlKey` indicates whether the 'ctrl' key was depressed during the firing of the event.

  Specified by:
    `getCtrlKey` in interface `MouseEvent`

### getShiftKey

    public boolean getShiftKey()

  DOM: `shiftKey` indicates whether the 'shift' key was depressed during the firing of the event.

  Specified by:
    `getShiftKey` in interface `MouseEvent`

### getAltKey

    public boolean getAltKey()

  DOM: `altKey` indicates whether the 'alt' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

  Specified by:
    `getAltKey` in interface `MouseEvent`

### getMetaKey

    public boolean getMetaKey()

  DOM: `metaKey` indicates whether the 'meta' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

  Specified by:
    `getMetaKey` in interface `MouseEvent`

### getButton

    public short getButton()

  DOM: During mouse events caused by the depression or release of a mouse button, `button` is used to indicate which mouse button changed state. The values for `button` range from zero to indicate the left button of the mouse, one to indicate the middle button if present, and two to indicate the right button. For mice configured for left handed use in which the button actions are reversed the values are instead read from right to left.

  Specified by:
    `getButton` in interface `MouseEvent`

### getRelatedTarget

    public EventTarget getRelatedTarget()

  DOM: Used to identify a secondary `EventTarget` related to a UI event. Currently this attribute is used with the mouseover event to indicate the `EventTarget` which the pointing device exited and with the mouseout event to indicate the `EventTarget` which the pointing device entered.

  Specified by:
    `getRelatedTarget` in interface `MouseEvent`

### getModifierState

    public boolean getModifierState(String keyIdentifierArg)

  DOM: Returns whether the given modifier key was pressed at the time of the event.

  Specified by:
    `getModifierState` in interface `MouseEvent`
  Parameters:
    `keyIdentifierArg` - A modifier key identifier, as defined by the `KeyboardEvent.keyIdentifier` attribute. Common modifier keys are `"Alt"`, `"AltGraph"`, `"CapsLock"`, `"Control"`, `"Meta"` , `"NumLock"`, `"Scroll"`, or `"Shift"`.

    Note: If an application wishes to distinguish between right and left modifiers, this information could be deduced using keyboard events and `KeyboardEvent.keyLocation`.

  Returns:
    `true` if it is modifier key and the modifier is activated, `false` otherwise.

### getModifiersString

    public String getModifiersString()

  Returns the modifiers string for this event.

### initMouseEvent

    public void initMouseEvent(String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               AbstractView viewArg,
                               int detailArg,
                               int screenXArg,
                               int screenYArg,
                               int clientXArg,
                               int clientYArg,
                               boolean ctrlKeyArg,
                               boolean altKeyArg,
                               boolean shiftKeyArg,
                               boolean metaKeyArg,
                               short buttonArg,
                               EventTarget relatedTargetArg)

  DOM: The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface. This method may only be called before the `MouseEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Specified by:
    `initMouseEvent` in interface `MouseEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s mouse click count.
    `screenXArg` - Specifies the `Event`'s screen x coordinate
    `screenYArg` - Specifies the `Event`'s screen y coordinate
    `clientXArg` - Specifies the `Event`'s client x coordinate
    `clientYArg` - Specifies the `Event`'s client y coordinate
    `ctrlKeyArg` - Specifies whether or not control key was depressed during the `Event`.
    `altKeyArg` - Specifies whether or not alt key was depressed during the `Event`.
    `shiftKeyArg` - Specifies whether or not shift key was depressed during the `Event`.
    `metaKeyArg` - Specifies whether or not meta key was depressed during the `Event`.
    `buttonArg` - Specifies the `Event`'s mouse button.
    `relatedTargetArg` - Specifies the `Event`'s related `EventTarget`.

### initMouseEventNS

    public void initMouseEventNS(String namespaceURIArg,
                                 String typeArg,
                                 boolean canBubbleArg,
                                 boolean cancelableArg,
                                 AbstractView viewArg,
                                 int detailArg,
                                 int screenXArg,
                                 int screenYArg,
                                 int clientXArg,
                                 int clientYArg,
                                 short buttonArg,
                                 EventTarget relatedTargetArg,
                                 String modifiersList)

  DOM: Initializes this event object.

  Specified by:
    `initMouseEventNS` in interface `MouseEvent`
  Parameters:
    `namespaceURIArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `detailArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `screenXArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `screenYArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `clientXArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `clientYArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `buttonArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `relatedTargetArg` - Refer to the `MouseEvent.initMouseEvent()` method for a description of this parameter.
    `modifiersList` - A white space separated list of modifier key identifiers to be activated on this object. As an example, `"Control Alt"` will activated the control and alt modifiers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.